Updates an existing role mapping by name. Currently unavailable in self-hosted ECE.
PUT
/organizations/{organization_id}/role_mappings/{role_name}
curl \
--request PUT 'https://{{hostname}}/api/v1/organizations/{organization_id}/role_mappings/{role_name}' \
--user "username:password" \
--header "Content-Type: application/json" \
--data '{
"mapping": {
"enabled": true,
"name": "string",
"rule": {
"any": [
{
"group": "string",
"email": "string"
}
],
"all": [
{
"group": "string",
"email": "string"
}
]
},
"role_assignments": {
"platform": [
{
"role_id": "string"
}
],
"organization": [
{
"role_id": "string",
"organization_id": "string",
"application_roles": [
"string"
]
}
],
"deployment": [
{
"role_id": "string",
"organization_id": "string",
"all": true,
"deployment_ids": [
"string"
],
"application_roles": [
"string"
]
}
],
"project": {
"elasticsearch": [
{
"role_id": "string",
"organization_id": "string",
"all": true,
"project_ids": [
"string"
],
"application_roles": [
"string"
]
}
],
"observability": [
{
"role_id": "string",
"organization_id": "string",
"all": true,
"project_ids": [
"string"
],
"application_roles": [
"string"
]
}
],
"security": [
{
"role_id": "string",
"organization_id": "string",
"all": true,
"project_ids": [
"string"
],
"application_roles": [
"string"
]
}
],
"workplaceai": [
{
"role_id": "string",
"organization_id": "string",
"all": true,
"project_ids": [
"string"
],
"application_roles": [
"string"
]
}
],
"vectordb": [
{
"role_id": "string",
"organization_id": "string",
"all": true,
"project_ids": [
"string"
],
"application_roles": [
"string"
]
}
]
}
}
}
}'